# 2024A Software

## Overview

This is software for the [2024A](https://git.ktag.clubk.club/Hardware/2024A-HW) "32ESPecial" based on the
[ESP-IDF](https://github.com/espressif/esp-idf/).

The primary documentation for the 32ESPecial is on the KTag website at https://ktag.clubk.club/Devices/32ESPecial/.

You can ask questions (and get answers!) about this software on the KTag forum at https://forum.ktag.clubk.club/c/software/.

## License: [AGPL-3.0-or-later](https://spdx.org/licenses/AGPL-3.0-or-later.html)

This software is part of the KTag project, a DIY laser tag game with customizable features and wide interoperability.

🛡️ <https://ktag.clubk.club> 🃞

Copyright © 2023-2025 Joseph P. Kearney and the KTag developers.

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU Affero General Public License as published by the Free
Software Foundation, either version 3 of the License, or (at your option) any
later version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more
details.

There should be a copy of the GNU Affero General Public License in the [LICENSE](LICENSE)
file in the root of this repository.  If not, see <http://www.gnu.org/licenses/>.

## Open-Source Software

This software in turn makes use of the following open-source software libraries and components:

| Name                       | Version | License ([SPDX](https://spdx.org/licenses/))                             | URL
|----------------------------|--------:|--------------------------------------------------------------------------|---------------------------------------------
| SystemK                    | 1.0     | [AGPL-3.0-or-later](https://spdx.org/licenses/AGPL-3.0-or-later.html)    | https://git.ktag.clubk.club/Software/SystemK/
| ESP-IDF                    | 5.4.1   | [Apache-2.0](https://spdx.org/licenses/Apache-2.0.html)                  | https://github.com/espressif/esp-idf/
| espressif/button           | 3.5.0   | [Apache-2.0](https://spdx.org/licenses/Apache-2.0.html)                  | https://components.espressif.com/components/espressif/button
| espressif/led_strip        | 2.5.3   | [Apache-2.0](https://spdx.org/licenses/Apache-2.0.html)                  | https://components.espressif.com/components/espressif/led_strip
| espressif/usb_host_msc     | 1.1.3   | [Apache-2.0](https://spdx.org/licenses/Apache-2.0.html)                  | https://components.espressif.com/components/espressif/usb_host_msc
| espressif/mdns             | 1.8.2   | [Apache-2.0](https://spdx.org/licenses/Apache-2.0.html)                  | https://components.espressif.com/components/espressif/mdns
| chmorgan/esp-audio-player  | 1.0.7   | [Apache-2.0](https://spdx.org/licenses/Apache-2.0.html)                  | https://components.espressif.com/components/chmorgan/esp-audio-player
| esp-libhelix-mp3           | 1.0.3   | [Apache-2.0](https://spdx.org/licenses/Apache-2.0.html)                  | https://github.com/chmorgan/esp-libhelix-mp3
| libhelix-mp3               | f443079 | [RPSL](https://github.com/chmorgan/libhelix-mp3/blob/master/LICENSE.txt) | https://github.com/chmorgan/libhelix-mp3/
